$perspective: 850px;
$present-dimension: 12em;
$date-dimension: $present-dimension / 5;
$bauble-dimension: $present-dimension / 4.5;

@keyframes shake {
	0% 		{ transform: rotate(0deg); }
	20% 	{ transform: rotate(-20deg); }
	40% 	{ transform: rotate(20deg); }
	60% 	{ transform: rotate(-10deg); }
	80% 	{ transform: rotate(10deg); }
	100% 	{ transform: rotate(0deg); }
}

html, body {
	height: 100%;
}
body {
	background-color: MediumSeaGreen;
	display: flex; 
	align-items: center;
}

span.date {
	float: left;
	width: 100%;
	color: #000;
	margin-bottom: 10px;
	
}

main {
	text-align: center;
	margin: 0 auto; 
	max-width: $present-dimension * 4;
}
.present {
	position: relative;
	display: inline-block;
	width: $present-dimension; height: $present-dimension;
	margin: .5em;
	perspective: $perspective; 
	z-index: 666;
}
.present_pane, 
.present_content {
	width: inherit; height: inherit;
}
.present_pane {
	position: relative;
	background: linear-gradient(135deg, lighten(Tomato, 7%) 50%, Tomato 50%);
	transform-style: preserve-3d;
	transform-origin: 0;
	perspective: $perspective; 
	text-align: center;
	box-shadow: 0 0 40px 0 rgba(black, .15);
	cursor: pointer;
	transition: all .2s ease-out;	
}
.present_date {
	position: absolute; 
	top: 50%; 
	left: 50%;
	transform: translate(-50%, -50%);
	width: $date-dimension; 
	height: $date-dimension;
	margin: 0; 
	font-size: 2em; 
	line-height: $date-dimension;
	background: SlateBlue; color: white;
	border-radius: 50%;
	box-shadow: inset 0 0 10px 5px rgba(black, 0.15);
}
// hover styles
.present:hover {
	z-index: 999;
}
.present:hover .present_pane {  
	background: linear-gradient(135deg, lighten(Tomato, 10%) 50%, lighten(Tomato, 5%) 50%);
	transform: rotateY(-97deg);
	perspective-origin: 0;
	transition: all .25s ease-in;
}
.present:hover .present_date {
	backface-visibility: hidden; // hide date
}
.present:hover .present_bauble {
	display: inline-block;
	transform-origin: 50% 0;
	animation: shake .7s;
}
.present_content {
	position: absolute; 
	top: 0; 
	left: 0;
	background: SlateBlue;
	box-shadow: 0 0 40px 0 rgba(black, .15), inset 0 0 30px 20px rgba(black, .15);
	z-index: -1;
}
.present_bauble {
	position: relative;
	width: $bauble-dimension; 
	height: $bauble-dimension;
	background: Violet;
	margin: 25% auto 0 auto;
	font-size: $bauble-dimension;
	line-height: $bauble-dimension;
	border-radius: 50%;
}
// rectangle that has pin
.present_bauble::after {
	content: '';
	position: absolute; 
	top: -5%; 
	left: 50%;
	width: 30%; 
	height: 10%;
	margin-left: -15%;
	background: inherit;
}
// pin
.present_bauble::before {
	content: '';
	position: absolute; 
	top: -15%; 
	left: 50%;
	width: 12%; 
	height: 20%;
	margin-left: -12%;
	border: .35rem solid Violet; 		
	border-radius: 50%;
	z-index: 0;
}